<?php
require_once("../../../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/controller/Funcoes_bd.php");
//verifica se a tabela do framework exist, caso não elas seram importadas
class Valida_script_bd
{
	private $_funcoes_bd;
	private $_banco_atual;
	private $conexao;
	function __construct()
	{
		$this->conexao = Conexao::obterConexao();
		$this->_banco_atual = Conexao::getUtilizarBanco();
		$this->_funcoes_bd = new Funcoes_bd();
		$this->vld_script_bd();
	}



	private function vld_script_bd()
	{
		$table = 'tabelas';
		$tableExists = $this->conexao->query("SHOW TABLES LIKE '$table'")->rowCount();
		//se a tabela tabela não existir o script_bd sera importado
		if ($tableExists == 0)
		{	
			$config = new Config();
			$sql = file_get_contents($config->diretorio_raiz().'/componentes/construtor/src/model/bd/script_bd.sql');
			$qr = $this->conexao->exec($sql);
		}	
	}
}